<?php

// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Takayuki Tanimoto <takayuki@snapshot.co.jp>                 |
// +----------------------------------------------------------------------+
//
// $Id: ListView_success.class.php,v 1.1 2005/06/20 09:31:24 snapshot Exp $
//
// Description:
// 2005/05/18
//

require_once (OPT_DIR.'u-learning/view/AdminView.class.php');

class ListView extends AdminView {

    function setRendererAttributes(& $controller, & $request, & $user, & $renderer) {
        $renderer->setTemplate('List_success.php');

        $renderer->setAttribute('subjects', $request->getAttribute('subjects'));
        $renderer->setAttribute('unpubs', $request->getAttribute('unpubs'));
        $renderer->setAttribute('pubs', $request->getAttribute('pubs'));
        $renderer->setAttribute('is_last', $request->getAttribute('is_last'));
        $renderer->setAttribute('page', $request->getAttribute('page'));
        $renderer->setAttribute('max_page', $request->getAttribute('max_page'));
    }

}
?>